Eli Revah Eli Revah - 4 months ago 45
Android Question

RecyclerView is missing

I just installed the new SDK tools (Android L Developer Preview), and I'm trying to use

RecyclerView
but it seems to be missing.

From my understanding I should include the
v7
support library, but I can't seem to do that...

I can't seem to find the v7 library in the SDK folder (I did install the Android Support Library from the SDK Manager).

Thank you upfront.

Answer

You have to update the android repository, the support library and you have to use this dependency:

compile 'com.android.support:recyclerview-v7:+'

UPDATED 16/10/2015:

Using the + is not a good option because you are not able to replicate the build in the future.

You can use one of these versions. Check your sdk for updated version:

  //it requires compileSdkVersion 24
  compile 'com.android.support:recyclerview-v7:24.1.0'  

  //it requires compileSdkVersion 23
  compile 'com.android.support:recyclerview-v7:23.4.0'
  compile 'com.android.support:recyclerview-v7:23.3.0'
  compile 'com.android.support:recyclerview-v7:23.2.1'
  compile 'com.android.support:recyclerview-v7:23.2.0'
  compile 'com.android.support:recyclerview-v7:23.1.1'
  compile 'com.android.support:recyclerview-v7:23.1.0'
  compile 'com.android.support:recyclerview-v7:23.0.1'
  compile 'com.android.support:recyclerview-v7:23.0.0'

  //it requires compileSdkVersion 22
  compile 'com.android.support:recyclerview-v7:22.2.1'
  compile 'com.android.support:recyclerview-v7:22.2.0'
  compile 'com.android.support:recyclerview-v7:22.1.1'
  compile 'com.android.support:recyclerview-v7:22.1.0'
  compile 'com.android.support:recyclerview-v7:22.0.0'

  //it requires compileSdkVersion 21
  compile 'com.android.support:recyclerview-v7:21.0.3'
  compile 'com.android.support:recyclerview-v7:21.0.2'
  compile 'com.android.support:recyclerview-v7:21.0.0'
Comments